Gnome And Berkeley DB... The nightmare continues!

Jay Dawes jdawes at sdd.hp.com
Tue Jan 2 10:42:09 PST 2001


On Tue, Jan 02, 2001 at 09:46:22AM, Mike Hildebrandt wrote:

> > Failing that, has anyone actually got gnome to compile on an LFS
> > system, using gnome-libs 1.2.8 and DB 3.1.17 ? (or even 2.7.7).

> I can't remember if I've used gnome-libs 1.2.8 yet, but I have
> successfully compiled everything successfully several times now with
> db 3.1.17.  Have you tried an older version of gnome-libs, just in
> case it is a new bug in 1.2.8?

Hi,

Are you both running the same versions for glibc?  I believe that version
2.1.3 of glibc included DB 1.85.  It seems that glibc-2.2 doesn't
contain DB any more.  
    
I ran into the same problem compiling gnome-libs 1.2.8 a few days ago.
I had compiled DB-3.1.17 with the --enable-compat185 option but that
didn't help.  As noted in other messages here, some function names
changed from DB-1.85 to DB-3.1.17.  After doing a nm on the 3.1.17
libraries, I found a __db185_open function.  I then did a search and
replace in the gnome-libs dir and changed references of dbopen to
__db185_open (only occurred in configure and two *.c files).  I was then
able to compile gnome-libs and all the tests passed, so things seem to
be okay (fingers crossed).

-- 
Jay



    


-- 
Unsubscribe: send email to lfs-apps-request at linuxfromscratch.org
and put unsubscribe in the subject header of the message




More information about the blfs-support mailing list